
## purpose: Takes the three files value.data, xx.data and yy.data, which 
##          contain a column vector (created by PETSc) each and writes 
##          this vectors as four columns into plot.3D. The third column 
##          is the z coordinate, which is constant zero.
## ToDo: Automatically calculate number of lines in input files.
##
## date:   18.12.2013
## author: martin.flehmig@tu-dresden.de

import math

# number of lines in input files
n = 903

# output file
of = open("solutionUh.3D", "wt")

# input file: solution vector
vf = open("value.data", "r")
# input file: mesh in y direction
yf = open("yy.data", "r")
# input file: mesh in x direction
xf = open("xx.data", "r")

# write header
of.write("x\ty\tz\tvalue\n");

# skip PETSc-header in input files
for i in range(0,3):
    x= xf.readline().strip()
    y= yf.readline().strip()
    v= vf.readline().strip()
# read line by line and create four-tuple (x y z value)
for i in range(4, n):
    x= xf.readline().strip()
    y= yf.readline().strip()
    v= vf.readline().strip()
    of.write("%s\t%s\t%s\t%s\n" %(x, y, 0.0, v))

# close files
of.close()
vf.close()
xf.close()
yf.close()
