# ScaFES
# Copyright (c) 2011-2013, ZIH, TU Dresden, Federal Republic of Germany.
# For details, see the files COPYING and LICENSE in the base directory
# of the package.
#
# Using the following parameters, the corresponding strong scalability diagram
# will be plotted.
# Call: gnuplot <nameOfThisFile>

nameSystem1 = "ZIH cluster Atlas, ScaFES"
nameSystem2 = "ZIH cluster Atlas, PETSc"
strXlabel = "Number of MPI processes"
sizeFont  = 18
nameBase  = "ZIH_ATLAS-cputimes_mpi-scafes_vs_petsc"
strYlabel = "CPU Time in s";
strTitle  = "CPU times";
xMin      = 0; 
xMax      = 64; 
xSteps    = 8; 
yMin      = 0; 
yMax      = 70; 
ySteps    = 5; 

plotStrongScaling=1


nameDataFile1="ZIH_ATLAS-cputimes_mpi-scafes.dat"
nameDataFile2="ZIH_ATLAS-cputimes_mpi-petsc.dat"

#if (plotStrongScaling==1) \
#    reset; \
#    plot nameDataFile1 using 1:2; \
#    yPeak = GPVAL_DATA_Y_MAX

set termoption dash
set terminal wxt persist
set object 1 rectangle from screen 0,0 to screen 1,1 \
           fillcolor rgb"#eee8cd" behind

set style line 1 lt 1 lw 3 pt 2 lc rgb "black"
set style line 2 lt 3 lw 3 pt 3 lc rgb "orange"
set format x '%.0f'
set format y '%8.1f'
set xtics xMin,xSteps,xMax
set ytics yMin,ySteps,yMax
set xrange [xMin:xMax]
set yrange [yMin:yMax]
set xlabel strXlabel font 'Helvetica, '.sizeFont
set ylabel strYlabel font 'Helvetica, '.sizeFont
set size square {1,1}
set grid
set title strTitle font 'Helvetica, '.sizeFont

plot nameDataFile1 using  ($1):($2) t nameSystem1 w lp ls 1, \
     nameDataFile2 using  ($1):($2) t nameSystem2 w lp ls 2;

set terminal postscript color 'Helvetica, '.sizeFont
set output nameBase.".eps"
replot

set terminal png
set output nameBase.".png"
replot
