# Copyright (c) 2013, ZIH, TU Dresden, Federal Republic of Germany.
# For details, see the files COPYING and LICENSE in the base directory
# of the package.
#
# Using the following parameters, the corresponding strong scalability diagram
# will be plotted.
# Call: gnuplot <nameOfThisFile>

nameSystem = "ZIH cluster Atlas"
strXlabel = "Number of OpenMP threads"
sizeFont  = 18
nameBase  = "ZIH_ATLAS-scaling_strong_openmp-scafes";
strYlabel = "Speedup";
strTitle  = "Strong Scalability"; 
xMin      = 0; 
xMax      = 64; 
xSteps    = 8; 
yMin      = 0; 
yMax      = 64; 
ySteps    = 8; 

plotStrongScaling=1

nameDataFile=nameBase.".dat"

if (plotStrongScaling==1) \
    reset; \
    plot nameDataFile using 1:2; \
    yPeak = GPVAL_DATA_Y_MAX

set terminal x11 persist
set object 1 rectangle from screen 0,0 to screen 1,1 \
           fillcolor rgb"#eee8cd" behind
set style line 1 lt 1 lw 3 pt 2 lc rgb "black"
set style line 2 lt 3 lw 3 pt 3 lc rgb "orange"
set format x '%.0f'
set format y '%8.1f'
set xtics xMin,xSteps,xMax
set ytics yMin,ySteps,yMax
set xrange [xMin:xMax]
set yrange [yMin:yMax]
set xlabel strXlabel font 'Roman, '.sizeFont
set ylabel strYlabel font 'Roman, '.sizeFont
set size square {1,1}
set grid
set title strTitle font 'Roman, '.sizeFont

if (plotStrongScaling==1) \
    plot nameDataFile using  ($1):(yPeak/($2)) t nameSystem w lp ls 1; \
else \
    plot nameDataFile using  ($1):($2) t nameSystem w lp ls 1;

set terminal postscript color
set output nameBase.".eps"
replot

set terminal png
set output nameBase.".png"
replot

